Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224673 - Mono plugin loader missing from gaim-2.0.0-0.26.beta5.fc6.
Summary: Mono plugin loader missing from gaim-2.0.0-0.26.beta5.fc6.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 22:55 UTC by Christopher Granade
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-28 04:38:10 UTC


Attachments (Terms of Use)

Description Christopher Granade 2007-01-26 22:55:19 UTC
The Gaim project's source code package provides a plugin loader for Mono-based
plugins, allowing developers to utilize the Mono framework and associated
libraries when writing Gaim plugins. Unfortunately, this loader seems to be
absent from the Gaim package gaim-2.0.0-0.26.beta5.fc6.

Comment 1 Warren Togami 2007-01-28 04:38:10 UTC
A while ago I was told by upstream that the Mono plugin was broken.  We also had
a serious problem with mono's selinux security context.  For these reasons I
have opted to disable the mono interface.

If upstream indicates that mono is now considered stable, I will consider
enabling it again if somebody comes up with a good solution to the selinux
problem (not easy).  See the gaim.spec for details of the selinux problem.


Note You need to log in before you can comment on or make changes to this bug.